# Get webhooks

Endpoint: GET /webhooks
Version: 2025-03-26
Security: oauth2, bearerAuth, apiKeyHeader

## Query parameters:

  - `limit` (integer)
    The maximum count of results to retrieve.

  - `startingAfter` (string)
    Return results starting after the provided object identifier.

  - `endingBefore` (string)
    Return results ending before the provided object identifier.

## Response 200 fields (application/json):

  - `count` (integer)
    Total number of items in this result.

  - `status` (integer)
    HTTP status code.

  - `data` (array)

  - `data.eventTypes` (array)
    The list of events for which the caller will receive webhooks.
For any proxy `webhookType`, this field should be left empty, and we will automatically send the events
associated with that specific proxy.

  - `data.webhookType` (string)
    Peach supports two ways of receiving webhooks:
- `direct` - events will be provided directly to the url nominated by the lender, and the event data will match Peach's data format.
- `proxyGalileo` - events will trigger Peach to make specific API calls to Galileo, so Galileo's sub-ledger remains in sync with Peach's ledger.

Note: when setting webhookType as `proxyGalileo`, please work with the Peach team to ensure the API calls you require are configured.
    Enum: "direct", "proxyGalileo"

